#!/bin/bash

if [ ! -e data/urls ]
then
	echo "--- The file 'data/urls' is not present. You may need to re-download the"
	echo "--- Guralp builder script."
fi

set -ex

[ ! -d var ] && mkdir "var"

# update URL list before continuing
source data/urls
wget -O data/urls -r "${URL_URLS}"
source data/urls

# update list of packages
wget -O var/packages -r "${URL_PACKAGES}"
# update build scripts
wget -O var/buildscripts -r "${URL_BUILDSCRIPTS}"
set +ex

echo "+++ Successfully updated packages list."
